Copy PagePartial update bank ledger transactionpatchhttps://api.wafeq.com/v1/bank-accounts/{bank_account_id}/ledger-transactions/{id}/Endpoint for partially updating an existing bank ledger transaction.Path Paramsbank_account_idstringrequiredidstringrequiredQuery ParamsexpandstringComma-separated relationships to expand. Pass journal to replace the journal ID with its object (ID, date, currency, reference, notes and timestamps). Documents without a journal still return null. Journal line items are retrieved separately with GET /v1/journal-line-items/?journal={journal_id}.Body Paramsapplication/jsonapplication/x-www-form-urlencodedmultipart/form-dataA transaction recorded in the ledger of a bank account.accountstringThe account associated with this transaction.amountdoubleThe transaction amount.contactstring | nullThe contact (customer or supplier) associated with this transaction, if any.datedateThe transaction date.descriptionstringThe transaction description.projectstring | nullThe project associated with this transaction, if any.referencestringThe transaction reference or identifier.tax_ratestring | nullThe tax rate to apply to this transaction, if any.HeadersX-Wafeq-Idempotency-KeystringClient-provided UUID to uniquely identify a requestcontent-typestringenumDefaults to application/jsonGenerated from available request content typesapplication/jsonapplication/x-www-form-urlencodedmultipart/form-dataAllowed:application/jsonapplication/x-www-form-urlencodedmultipart/form-dataResponse200Updated 3 days agoRetrieve bank ledger transactionUpdate bank ledger transaction